> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.schoolset.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.schoolset.io/_mcp/server.

# Get a daily route change

GET https://ssuccessv2.com/app/api/v1/bussing/route-management-daily-change/{id}

Returns one daily route-management change, including its student, address, route, target stop, and effective dates when those relations exist.

Reference: https://docs.schoolset.io/api-reference/school-set-api/bussing-route-changes/get-bussing-route-management-daily-change

## Authentication

- `Authorization` header (bearer token, required) — The signed-in SchoolSet user token sent by the frontend.

## Request

### Path parameters

- `id` (integer, required) — Daily route-change identifier.

## Response

### 200

Daily route change.

- `status` (string, optional)
- `message` (string, optional)
- `data` (ApiV1BussingRouteManagementDailyChangeIdGetResponsesContentApplicationJsonSchemaData, optional)

## Errors

### 401 Unauthorized Error

Authentication required

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 403 Forbidden Error

The user cannot view bussing

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 404 Not Found Error

Daily route change not found

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

## Types

### ApiV1BussingRouteManagementDailyChangeIdGetResponsesContentApplicationJsonSchemaData

- `id` (integer, optional)
- `route_management_info` (map from string to any, optional, nullable)
- `student` (map from string to any, optional, nullable)
- `address` (map from string to any, optional, nullable)
- `target_bus_route_management_id` (integer, optional, nullable)
- `target_stop` (ApiV1BussingRouteManagementDailyChangeIdGetResponsesContentApplicationJsonSchemaDataTargetStop, optional, nullable)
- `order` (integer, optional, nullable)
- `time` (string, optional, nullable)
- `start_date` (datetime, optional, nullable)
- `end_date` (datetime, optional, nullable)
- `destination_name` (string, optional, nullable)
- `destination_phone` (string, optional, nullable)
- `created_by` (string, optional, nullable)
- `created_at` (datetime, optional, nullable)
- `updated_at` (datetime, optional, nullable)

### ApiV1BussingRouteManagementDailyChangeIdGetResponsesContentApplicationJsonSchemaDataTargetStop

- `id` (integer, optional)
- `route_number` (integer, optional, nullable)
- `order` (integer, optional, nullable)
- `time` (string, optional, nullable)
- `address` (map from string to any, optional, nullable)

## Examples

**Response**

```json
{
  "status": "success",
  "message": "",
  "data": {
    "id": 731,
    "route_management_info": {
      "id": 184,
      "route_number": 12
    },
    "student": {
      "id": 1042,
      "first_name": "Olivia",
      "last_name": "Chen"
    },
    "address": {
      "id": 412,
      "formatted": "18 Beacon Street, Boston, MA 02108, US"
    },
    "target_bus_route_management_id": 92,
    "target_stop": {
      "id": 92,
      "route_number": 12,
      "order": 4,
      "time": "07:42:00",
      "address": {
        "id": 413,
        "formatted": "55 Oak Street, Boston, MA 02116, US"
      }
    },
    "order": 4,
    "time": "07:42:00",
    "start_date": {},
    "end_date": {},
    "destination_name": "Oak Hill Elementary",
    "destination_phone": "+1 617 555 0199",
    "created_by": "Sarah Williams",
    "created_at": "2024-01-15T09:30:00Z",
    "updated_at": "2024-01-15T09:30:00Z"
  }
}
```

**SDK Code**

```python Bussing route changes_getBussingRouteManagementDailyChange_example
import requests

url = "https://ssuccessv2.com/app/api/v1/bussing/route-management-daily-change/731"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Bussing route changes_getBussingRouteManagementDailyChange_example
const url = 'https://ssuccessv2.com/app/api/v1/bussing/route-management-daily-change/731';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Bussing route changes_getBussingRouteManagementDailyChange_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://ssuccessv2.com/app/api/v1/bussing/route-management-daily-change/731"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Bussing route changes_getBussingRouteManagementDailyChange_example
require 'uri'
require 'net/http'

url = URI("https://ssuccessv2.com/app/api/v1/bussing/route-management-daily-change/731")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Bussing route changes_getBussingRouteManagementDailyChange_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://ssuccessv2.com/app/api/v1/bussing/route-management-daily-change/731")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Bussing route changes_getBussingRouteManagementDailyChange_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://ssuccessv2.com/app/api/v1/bussing/route-management-daily-change/731', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Bussing route changes_getBussingRouteManagementDailyChange_example
using RestSharp;

var client = new RestClient("https://ssuccessv2.com/app/api/v1/bussing/route-management-daily-change/731");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Bussing route changes_getBussingRouteManagementDailyChange_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://ssuccessv2.com/app/api/v1/bussing/route-management-daily-change/731")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```